//-< ForgottenObject.java >------------------------------------------*--------*
// GOODS                      Version 2.02       (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:      7-May-2002  K.A. Knizhnik  * / [] \ *
//                          Last update:  7-May-2002  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Element of L1 list of forgotten objects
//-------------------------------------------------------------------*--------*

package goodsjpi;

/**
 * Class keeping information about objects which deallocated by GC at client.
 * This information will be send to the server during transaction commit
 */
public class ForgottenObject { 
    ForgottenObject next;
    Storage         storage;
    int             opid;

    ForgottenObject(Persistent po, ForgottenObject list) { 
	next = list;
	opid = po.opid;
	storage = po.storage;
    }
}

