//-< ConstantAttribute.java >----------------------------------------*--------*
// GOODS                      Version 2.02       (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:     15-Dec-2002  K.A. Knizhnik  * / [] \ *
//                          Last update: 15-Dec-2002  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Attribute for specifying constant methods (instance method which do not 
// update this object)
//-------------------------------------------------------------------*--------*
namespace Goods
{
    using System;

    /// <summary>
    /// Attribute for specifying constant methods (instance method which do not 
    /// update this object)
    /// </summary>
    [AttributeUsage(AttributeTargets.Method)]
    public class ConstantAttribute : Attribute
    {
    }
}

