Name:	        goods
Summary:	GOODS Object Oriented Database.
Version:	2.37
Release:	3
Copyright:	Konstantin Knizhnik
Vendor:         Konstantin Knizhnik
Packager:	Timothy reaves <treaves@bascom.com>
Group:		Applications/Databases
Source:         /tmp/%{name}-%{version}.tar.gz
BuildRoot:      /tmp/%{name}-broot
URL:            http://www.ispras.ru/~knizhnik/goods.html

%description
This is the GOODS Object Oriented Database system.  This includes the C++ 
database server, and the Java access libraries.  There is also an XML
and Perl library that will be added to this RPM later.


%changelog
* Wed Apr 18 2001 Timothy Reaves
- added the goodspp linux shell script to run javamop
* Thu Jan 25 2001 Timothy Reaves
- added the CLASSPATH export to the build section.
* Thu Dec 28 2000 Timothy Reaves
- initial build.

%prep
%setup

%build
./config linux
export CLASSPATH=.:./java:$CLASSPATH
make
make jar

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/%{name}-broot" ]; then
    	rm -rf $RPM_BUILD_ROOT

     mkdir -p $RPM_BUILD_ROOT/opt/goods/bin                                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/inc                                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/lib                                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/src                                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/clntmfc/res                                    
     mkdir -p $RPM_BUILD_ROOT/opt/goods/clntmfc                                        
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/db                                    
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/docs                                  
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/tiny                    
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml                         
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd                             
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom   
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/test  
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/parser
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm       
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis                
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/com                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom                    
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c                        
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source/org                            
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML/source                                
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/XML                                       
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/GraphEdit                                 
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak                             
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/goodsjpi                                  
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java/goodslib                                  
     mkdir -p $RPM_BUILD_ROOT/opt/goods/java                                           
     mkdir -p $RPM_BUILD_ROOT/opt/goods/srvrmfc/res                                    
     mkdir -p $RPM_BUILD_ROOT/opt/goods/srvrmfc                                        
     mkdir -p $RPM_BUILD_ROOT/opt/goods/examples                                       
     mkdir -p $RPM_BUILD_ROOT/opt/goods                                                
     mkdir -p $RPM_BUILD_ROOT/opt                                                      
     install -m 775 bin/cgibrows $RPM_BUILD_ROOT/opt/goods/bin/cgibrows 
     install -m 775 bin/geturl $RPM_BUILD_ROOT/opt/goods/bin/geturl 
     install -m 775 bin/goodsrv $RPM_BUILD_ROOT/opt/goods/bin/goodsrv 
     install -m 775 bin/goodspp $RPM_BUILD_ROOT/opt/goods/bin/goodspp
     install -m 775 bin/javamop $RPM_BUILD_ROOT/opt/goods/bin/javamop 
     install -m 775 bin/cgistub $RPM_BUILD_ROOT/opt/goods/bin/cgistub 
     install -m 775 bin/browser $RPM_BUILD_ROOT/opt/goods/bin/browser 
     install -m 664 inc/wtask.h $RPM_BUILD_ROOT/opt/goods/inc/wtask.h 
     install -m 664 inc/ctask.h $RPM_BUILD_ROOT/opt/goods/inc/ctask.h 
     install -m 664 inc/mop.h $RPM_BUILD_ROOT/opt/goods/inc/mop.h 
     install -m 664 inc/wstring.h $RPM_BUILD_ROOT/opt/goods/inc/wstring.h 
     install -m 664 inc/dbscls.h $RPM_BUILD_ROOT/opt/goods/inc/dbscls.h 
     install -m 664 inc/protocol.h $RPM_BUILD_ROOT/opt/goods/inc/protocol.h 
     install -m 664 inc/rtree.h $RPM_BUILD_ROOT/opt/goods/inc/rtree.h 
     install -m 664 inc/unisock.h $RPM_BUILD_ROOT/opt/goods/inc/unisock.h 
     install -m 664 inc/console.h $RPM_BUILD_ROOT/opt/goods/inc/console.h 
     install -m 664 inc/datetime.h $RPM_BUILD_ROOT/opt/goods/inc/datetime.h 
     install -m 664 inc/convert.h $RPM_BUILD_ROOT/opt/goods/inc/convert.h 
     install -m 664 inc/stdtp.h $RPM_BUILD_ROOT/opt/goods/inc/stdtp.h 
     install -m 664 inc/dbexcept.h $RPM_BUILD_ROOT/opt/goods/inc/dbexcept.h 
     install -m 664 inc/config.h $RPM_BUILD_ROOT/opt/goods/inc/config.h 
     install -m 664 inc/support.h $RPM_BUILD_ROOT/opt/goods/inc/support.h 
     install -m 664 inc/database.h $RPM_BUILD_ROOT/opt/goods/inc/database.h 
     install -m 664 inc/goods.h $RPM_BUILD_ROOT/opt/goods/inc/goods.h 
     install -m 664 inc/refs.h $RPM_BUILD_ROOT/opt/goods/inc/refs.h 
     install -m 664 inc/task.h $RPM_BUILD_ROOT/opt/goods/inc/task.h 
     install -m 664 inc/object.h $RPM_BUILD_ROOT/opt/goods/inc/object.h 
     install -m 664 inc/stdinc.h $RPM_BUILD_ROOT/opt/goods/inc/stdinc.h 
     install -m 664 inc/storage.h $RPM_BUILD_ROOT/opt/goods/inc/storage.h 
     install -m 664 inc/wwwapi.h $RPM_BUILD_ROOT/opt/goods/inc/wwwapi.h 
     install -m 664 inc/async.h $RPM_BUILD_ROOT/opt/goods/inc/async.h 
     install -m 664 inc/goodsdlx.h $RPM_BUILD_ROOT/opt/goods/inc/goodsdlx.h 
     install -m 664 inc/sockio.h $RPM_BUILD_ROOT/opt/goods/inc/sockio.h 
     install -m 664 inc/class.h $RPM_BUILD_ROOT/opt/goods/inc/class.h 
     install -m 664 inc/ptask.h $RPM_BUILD_ROOT/opt/goods/inc/ptask.h 
     install -m 664 inc/w32sock.h $RPM_BUILD_ROOT/opt/goods/inc/w32sock.h 
     install -m 664 lib/goodsjpi.jar $RPM_BUILD_ROOT/opt/goods/lib/goodsjpi.jar 
     install -m 664 lib/libserver.a $RPM_BUILD_ROOT/opt/goods/lib/libserver.a 
     install -m 664 lib/goodslib.jar $RPM_BUILD_ROOT/opt/goods/lib/goodslib.jar 
     install -m 664 lib/libclient.a $RPM_BUILD_ROOT/opt/goods/lib/libclient.a 
     install -m 664 src/wtask.cxx $RPM_BUILD_ROOT/opt/goods/src/wtask.cxx 
     install -m 664 src/ptask.cxx $RPM_BUILD_ROOT/opt/goods/src/ptask.cxx 
     install -m 664 src/transmgr.h $RPM_BUILD_ROOT/opt/goods/src/transmgr.h 
     install -m 664 src/classmgr.cxx $RPM_BUILD_ROOT/opt/goods/src/classmgr.cxx 
     install -m 664 src/osfile.h $RPM_BUILD_ROOT/opt/goods/src/osfile.h 
     install -m 664 src/makefile.uni $RPM_BUILD_ROOT/opt/goods/src/makefile.uni 
     install -m 664 src/makefile.win $RPM_BUILD_ROOT/opt/goods/src/makefile.win 
     install -m 664 src/multfile.h $RPM_BUILD_ROOT/opt/goods/src/multfile.h 
     install -m 664 src/async.cxx $RPM_BUILD_ROOT/opt/goods/src/async.cxx 
     install -m 664 src/make.bat $RPM_BUILD_ROOT/opt/goods/src/make.bat 
     install -m 664 src/makefile $RPM_BUILD_ROOT/opt/goods/src/makefile 
     install -m 664 src/unisock.cxx $RPM_BUILD_ROOT/opt/goods/src/unisock.cxx 
     install -m 664 src/w32sock.cxx $RPM_BUILD_ROOT/opt/goods/src/w32sock.cxx 
     install -m 664 src/confgrtr.h $RPM_BUILD_ROOT/opt/goods/src/confgrtr.h 
     install -m 664 src/object.cxx $RPM_BUILD_ROOT/opt/goods/src/object.cxx 
     install -m 664 src/mmapfile.h $RPM_BUILD_ROOT/opt/goods/src/mmapfile.h 
     install -m 664 src/console.cxx $RPM_BUILD_ROOT/opt/goods/src/console.cxx 
     install -m 664 src/cgistub.cxx $RPM_BUILD_ROOT/opt/goods/src/cgistub.cxx 
     install -m 664 src/rtree.cxx $RPM_BUILD_ROOT/opt/goods/src/rtree.cxx 
     install -m 664 src/file.h $RPM_BUILD_ROOT/opt/goods/src/file.h 
     install -m 664 src/mop.cxx $RPM_BUILD_ROOT/opt/goods/src/mop.cxx 
     install -m 664 src/protocol.cxx $RPM_BUILD_ROOT/opt/goods/src/protocol.cxx 
     install -m 664 src/cgibrows.cxx $RPM_BUILD_ROOT/opt/goods/src/cgibrows.cxx 
     install -m 664 src/server.cxx $RPM_BUILD_ROOT/opt/goods/src/server.cxx 
     install -m 664 src/ctask.cxx $RPM_BUILD_ROOT/opt/goods/src/ctask.cxx 
     install -m 664 src/goodsrv.cxx $RPM_BUILD_ROOT/opt/goods/src/goodsrv.cxx 
     install -m 664 src/memmgr.cxx $RPM_BUILD_ROOT/opt/goods/src/memmgr.cxx 
     install -m 664 src/objmgr.cxx $RPM_BUILD_ROOT/opt/goods/src/objmgr.cxx 
     install -m 664 src/sockio.cxx $RPM_BUILD_ROOT/opt/goods/src/sockio.cxx 
     install -m 664 src/multfile.cxx $RPM_BUILD_ROOT/opt/goods/src/multfile.cxx 
     install -m 664 src/windows.mak $RPM_BUILD_ROOT/opt/goods/src/windows.mak 
     install -m 664 src/client.cxx $RPM_BUILD_ROOT/opt/goods/src/client.cxx 
     install -m 664 src/javamop.cxx $RPM_BUILD_ROOT/opt/goods/src/javamop.cxx 
     install -m 664 src/objmgr.h $RPM_BUILD_ROOT/opt/goods/src/objmgr.h 
     install -m 664 src/confgrtr.cxx $RPM_BUILD_ROOT/opt/goods/src/confgrtr.cxx 
     install -m 664 src/class.cxx $RPM_BUILD_ROOT/opt/goods/src/class.cxx 
     install -m 664 src/tconsole.cxx $RPM_BUILD_ROOT/opt/goods/src/tconsole.cxx 
     install -m 664 src/geturl.cxx $RPM_BUILD_ROOT/opt/goods/src/geturl.cxx 
     install -m 664 src/database.cxx $RPM_BUILD_ROOT/opt/goods/src/database.cxx 
     install -m 664 src/server.h $RPM_BUILD_ROOT/opt/goods/src/server.h 
     install -m 664 src/unifile.cxx $RPM_BUILD_ROOT/opt/goods/src/unifile.cxx 
     install -m 664 src/tconsole.h $RPM_BUILD_ROOT/opt/goods/src/tconsole.h 
     install -m 664 src/transmgr.cxx $RPM_BUILD_ROOT/opt/goods/src/transmgr.cxx 
     install -m 664 src/winfile.cxx $RPM_BUILD_ROOT/opt/goods/src/winfile.cxx 
     install -m 664 src/poolmgr.cxx $RPM_BUILD_ROOT/opt/goods/src/poolmgr.cxx 
     install -m 664 src/poolmgr.h $RPM_BUILD_ROOT/opt/goods/src/poolmgr.h 
     install -m 664 src/javamop.d $RPM_BUILD_ROOT/opt/goods/src/javamop.d 
     install -m 664 src/javamop.h $RPM_BUILD_ROOT/opt/goods/src/javamop.h 
     install -m 664 src/wwwapi.cxx $RPM_BUILD_ROOT/opt/goods/src/wwwapi.cxx 
     install -m 664 src/client.h $RPM_BUILD_ROOT/opt/goods/src/client.h 
     install -m 664 src/dbscls.cxx $RPM_BUILD_ROOT/opt/goods/src/dbscls.cxx 
     install -m 664 src/memmgr.h $RPM_BUILD_ROOT/opt/goods/src/memmgr.h 
     install -m 664 src/classmgr.h $RPM_BUILD_ROOT/opt/goods/src/classmgr.h 
     install -m 664 src/browser.cxx $RPM_BUILD_ROOT/opt/goods/src/browser.cxx 
     install -m 664 clntmfc/res/clntmfc.rc2 $RPM_BUILD_ROOT/opt/goods/clntmfc/res/clntmfc.rc2 
     install -m 664 clntmfc/makefile $RPM_BUILD_ROOT/opt/goods/clntmfc/makefile 
     install -m 664 clntmfc/StdAfx.h $RPM_BUILD_ROOT/opt/goods/clntmfc/StdAfx.h 
     install -m 664 clntmfc/StdAfx.cpp $RPM_BUILD_ROOT/opt/goods/clntmfc/StdAfx.cpp 
     install -m 664 clntmfc/clntmfc.001 $RPM_BUILD_ROOT/opt/goods/clntmfc/clntmfc.001 
     install -m 664 clntmfc/clntmfc.clw $RPM_BUILD_ROOT/opt/goods/clntmfc/clntmfc.clw 
     install -m 664 clntmfc/clntmfc.cpp $RPM_BUILD_ROOT/opt/goods/clntmfc/clntmfc.cpp 
     install -m 664 clntmfc/clntmfc.dsp $RPM_BUILD_ROOT/opt/goods/clntmfc/clntmfc.dsp 
     install -m 664 clntmfc/clntmfc.plg $RPM_BUILD_ROOT/opt/goods/clntmfc/clntmfc.plg 
     install -m 664 clntmfc/Resource.h $RPM_BUILD_ROOT/opt/goods/clntmfc/Resource.h 
     install -m 664 java/XML/db/xmlswarm.cfg $RPM_BUILD_ROOT/opt/goods/java/XML/db/xmlswarm.cfg 
     install -m 664 java/XML/db/test.xml $RPM_BUILD_ROOT/opt/goods/java/XML/db/test.xml 
     install -m 664 java/XML/Readme.txt $RPM_BUILD_ROOT/opt/goods/java/XML/Readme.txt 
     install -m 664 java/XML/source/gd/xml/tiny/ParsedXML.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/tiny/ParsedXML.java 
     install -m 664 java/XML/source/gd/xml/tiny/TinyParser.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/tiny/TinyParser.java 
     install -m 664 java/XML/source/gd/xml/tiny/TinyResponder.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/tiny/TinyResponder.java 
     install -m 664 java/XML/source/gd/xml/tiny/ParseNode.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/tiny/ParseNode.java 
     install -m 664 java/XML/source/gd/xml/XMLReader.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/XMLReader.java 
     install -m 664 java/XML/source/gd/xml/XMLParser.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/XMLParser.java 
     install -m 664 java/XML/source/gd/xml/XMLResponder.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/XMLResponder.java 
     install -m 664 java/XML/source/gd/xml/ParseException.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/gd/xml/ParseException.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCDATASection.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCDATASection.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentType.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentType.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentFragment.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentFragment.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocument.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocument.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentComment.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentComment.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentText.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentText.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMImplementation.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMImplementation.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentElement.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentElement.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentProcessingInstruction.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentProcessingInstruction.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntity.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntity.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNodeList.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNodeList.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNotation.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNotation.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNode.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNode.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCharacterData.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCharacterData.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntityReference.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntityReference.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNamedNodeMap.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNamedNodeMap.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMException.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMException.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/dom/PersistentAttr.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentAttr.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/test/Test.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/test/Test.java 
     install -m 664 java/XML/source/com/neurothemis/xmlswarm/parser/Parser.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/com/neurothemis/xmlswarm/parser/Parser.java 
     install -m 664 java/XML/source/org/w3c/dom/NodeList.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/NodeList.java 
     install -m 664 java/XML/source/org/w3c/dom/Notation.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Notation.java 
     install -m 664 java/XML/source/org/w3c/dom/Comment.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Comment.java 
     install -m 664 java/XML/source/org/w3c/dom/Element.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Element.java 
     install -m 664 java/XML/source/org/w3c/dom/Text.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Text.java 
     install -m 664 java/XML/source/org/w3c/dom/NamedNodeMap.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/NamedNodeMap.java 
     install -m 664 java/XML/source/org/w3c/dom/DOMException.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/DOMException.java 
     install -m 664 java/XML/source/org/w3c/dom/DocumentFragment.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/DocumentFragment.java 
     install -m 664 java/XML/source/org/w3c/dom/DOMImplementation.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/DOMImplementation.java 
     install -m 664 java/XML/source/org/w3c/dom/Node.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Node.java 
     install -m 664 java/XML/source/org/w3c/dom/CharacterData.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/CharacterData.java 
     install -m 664 java/XML/source/org/w3c/dom/Entity.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Entity.java 
     install -m 664 java/XML/source/org/w3c/dom/Document.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Document.java 
     install -m 664 java/XML/source/org/w3c/dom/EntityReference.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/EntityReference.java 
     install -m 664 java/XML/source/org/w3c/dom/Attr.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/Attr.java 
     install -m 664 java/XML/source/org/w3c/dom/ProcessingInstruction.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/ProcessingInstruction.java 
     install -m 664 java/XML/source/org/w3c/dom/CDATASection.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/CDATASection.java 
     install -m 664 java/XML/source/org/w3c/dom/DocumentType.java $RPM_BUILD_ROOT/opt/goods/java/XML/source/org/w3c/dom/DocumentType.java 
     install -m 664 java/XML/build.xml $RPM_BUILD_ROOT/opt/goods/java/XML/build.xml 
     install -m 664 java/guess.cfg $RPM_BUILD_ROOT/opt/goods/java/guess.cfg 
     install -m 664 java/TestBtree.classes $RPM_BUILD_ROOT/opt/goods/java/TestBtree.classes 
     install -m 664 java/makefile.uni $RPM_BUILD_ROOT/opt/goods/java/makefile.uni 
     install -m 664 java/makefile.win $RPM_BUILD_ROOT/opt/goods/java/makefile.win 
     install -m 664 java/testcol.cfg $RPM_BUILD_ROOT/opt/goods/java/testcol.cfg 
     install -m 775 java/compile.bat $RPM_BUILD_ROOT/opt/goods/java/compile.bat 
     install -m 664 java/TestCol.java $RPM_BUILD_ROOT/opt/goods/java/TestCol.java 
     install -m 664 java/GraphEdit/Drawing.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Drawing.java 
     install -m 664 java/GraphEdit/Line.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Line.java 
     install -m 664 java/GraphEdit/Figure.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Figure.java 
     install -m 664 java/GraphEdit/GraphEditor.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/GraphEditor.java 
     install -m 664 java/GraphEdit/Rectangle.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Rectangle.java 
     install -m 664 java/GraphEdit/Circle.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Circle.java 
     install -m 664 java/GraphEdit/Point.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Point.java 
     install -m 664 java/GraphEdit/Catalog.java $RPM_BUILD_ROOT/opt/goods/java/GraphEdit/Catalog.java 
     install -m 664 java/graphedt.cfg $RPM_BUILD_ROOT/opt/goods/java/graphedt.cfg 
     install -m 664 java/jsql.cfg $RPM_BUILD_ROOT/opt/goods/java/jsql.cfg 
     install -m 664 java/TestBlob.java $RPM_BUILD_ROOT/opt/goods/java/TestBlob.java 
     install -m 664 java/btree.cfg $RPM_BUILD_ROOT/opt/goods/java/btree.cfg 
     install -m 664 java/run.bat $RPM_BUILD_ROOT/opt/goods/java/run.bat 
     install -m 664 java/make.bat $RPM_BUILD_ROOT/opt/goods/java/make.bat 
     install -m 664 java/JSQL.java $RPM_BUILD_ROOT/opt/goods/java/JSQL.java 
     install -m 664 java/makefile $RPM_BUILD_ROOT/opt/goods/java/makefile 
     install -m 664 java/Guess.java $RPM_BUILD_ROOT/opt/goods/java/Guess.java 
     install -m 664 java/blob.cfg $RPM_BUILD_ROOT/opt/goods/java/blob.cfg 
     install -m 664 java/JavaAPI.htm $RPM_BUILD_ROOT/opt/goods/java/JavaAPI.htm 
     install -m 664 java/goodsrv.cfg $RPM_BUILD_ROOT/opt/goods/java/goodsrv.cfg 
     install -m 664 java/windows.mak $RPM_BUILD_ROOT/opt/goods/java/windows.mak 
     install -m 664 java/build.xml $RPM_BUILD_ROOT/opt/goods/java/build.xml 
     install -m 664 java/TestBtree.java $RPM_BUILD_ROOT/opt/goods/java/TestBtree.java 
     install -m 664 java/JSQL.htm $RPM_BUILD_ROOT/opt/goods/java/JSQL.htm 
     install -m 664 java/goodsjpi/weak/MsWeakHashTable.class $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/MsWeakHashTable.class 
     install -m 664 java/goodsjpi/weak/WeakHashTable\$Entry.class $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/WeakHashTable\$Entry.class 
     install -m 664 java/goodsjpi/weak/SunWeakHashTable.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/SunWeakHashTable.java 
     install -m 664 java/goodsjpi/weak/MsWeakHashTable.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/MsWeakHashTable.java 
     install -m 664 java/goodsjpi/weak/SunWeakHashTable.class $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/SunWeakHashTable.class 
     install -m 664 java/goodsjpi/weak/WeakHashTable.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/WeakHashTable.java 
     install -m 664 java/goodsjpi/weak/WeakHashTable.class $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/WeakHashTable.class 
     install -m 664 java/goodsjpi/weak/Entry.class $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/weak/Entry.class 
     install -m 664 java/goodsjpi/AssertionFailed.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/AssertionFailed.java 
     install -m 664 java/goodsjpi/BasicMetaobject.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/BasicMetaobject.java 
     install -m 664 java/goodsjpi/Database.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Database.java 
     install -m 664 java/goodsjpi/OptimisticMetaobject.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/OptimisticMetaobject.java 
     install -m 664 java/goodsjpi/PessimisticMetaobject.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/PessimisticMetaobject.java 
     install -m 664 java/goodsjpi/IdentityHashtable.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/IdentityHashtable.java 
     install -m 664 java/goodsjpi/Metaobject.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Metaobject.java 
     install -m 664 java/goodsjpi/PessimisticRepeatableReadMetaobject.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/PessimisticRepeatableReadMetaobject.java 
     install -m 664 java/goodsjpi/ConnectionRefusedException.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/ConnectionRefusedException.java 
     install -m 664 java/goodsjpi/FieldDescriptor.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/FieldDescriptor.java 
     install -m 664 java/goodsjpi/ObjectCache.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/ObjectCache.java 
     install -m 664 java/goodsjpi/Assert.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Assert.java 
     install -m 664 java/goodsjpi/Storage.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Storage.java 
     install -m 664 java/goodsjpi/Conversion.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Conversion.java 
     install -m 664 java/goodsjpi/CondEvent.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/CondEvent.java 
     install -m 664 java/goodsjpi/SessionDisconnectedError.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/SessionDisconnectedError.java 
     install -m 664 java/goodsjpi/ClassDescriptor.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/ClassDescriptor.java 
     install -m 664 java/goodsjpi/ClassDefinitionError.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/ClassDefinitionError.java 
     install -m 664 java/goodsjpi/Date.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Date.java 
     install -m 664 java/goodsjpi/Protocol.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Protocol.java 
     install -m 664 java/goodsjpi/Persistent.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/Persistent.java 
     install -m 664 java/goodsjpi/PThread.java $RPM_BUILD_ROOT/opt/goods/java/goodsjpi/PThread.java 
     install -m 664 java/goodslib/PersistentHashSet.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentHashSet.java 
     install -m 664 java/goodslib/ArrayOfLong.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfLong.java 
     install -m 664 java/goodslib/PersistentArrayList.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentArrayList.java 
     install -m 664 java/goodslib/Ordered.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/Ordered.java 
     install -m 664 java/goodslib/PersistentAbstractCollection.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentAbstractCollection.java 
     install -m 664 java/goodslib/ArrayOfDouble.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfDouble.java 
     install -m 664 java/goodslib/SetMember.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/SetMember.java 
     install -m 664 java/goodslib/ArrayOfShort.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfShort.java 
     install -m 664 java/goodslib/Btree.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/Btree.java 
     install -m 664 java/goodslib/ConcurrentModifier.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ConcurrentModifier.java 
     install -m 664 java/goodslib/ClassLibrary.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ClassLibrary.java 
     install -m 664 java/goodslib/ArrayOfInt.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfInt.java 
     install -m 664 java/goodslib/ArrayOfByte.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfByte.java 
     install -m 664 java/goodslib/ArrayOfObject.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfObject.java 
     install -m 664 java/goodslib/NoIndexException.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/NoIndexException.java 
     install -m 664 java/goodslib/OrderedSetOwner.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/OrderedSetOwner.java 
     install -m 664 java/goodslib/HashTable.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/HashTable.java 
     install -m 664 java/goodslib/ObjectClosure.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ObjectClosure.java 
     install -m 664 java/goodslib/Blob.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/Blob.java 
     install -m 664 java/goodslib/PersistentTreeMap.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentTreeMap.java 
     install -m 664 java/goodslib/ArrayOfFloat.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfFloat.java 
     install -m 664 java/goodslib/PersistentAbstractMap.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentAbstractMap.java 
     install -m 664 java/goodslib/SetOwner.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/SetOwner.java 
     install -m 664 java/goodslib/PersistentHashMap.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentHashMap.java 
     install -m 664 java/goodslib/AnyArray.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/AnyArray.java 
     install -m 664 java/goodslib/SetMemberKey.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/SetMemberKey.java 
     install -m 664 java/goodslib/Htree.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/Htree.java 
     install -m 664 java/goodslib/SetMemberRef.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/SetMemberRef.java 
     install -m 664 java/goodslib/CompileError.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/CompileError.java 
     install -m 664 java/goodslib/QueryIterator.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/QueryIterator.java 
     install -m 664 java/goodslib/PersistentAbstractList.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentAbstractList.java 
     install -m 664 java/goodslib/Query.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/Query.java 
     install -m 664 java/goodslib/PersistentTreeSet.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentTreeSet.java 
     install -m 664 java/goodslib/ArrayOfBoolean.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfBoolean.java 
     install -m 664 java/goodslib/PersistentComparator.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentComparator.java 
     install -m 664 java/goodslib/PersistentAbstractSet.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/PersistentAbstractSet.java 
     install -m 664 java/goodslib/ArrayOfChar.java $RPM_BUILD_ROOT/opt/goods/java/goodslib/ArrayOfChar.java 
     install -m 664 SAL.htm $RPM_BUILD_ROOT/opt/goods/SAL.htm 
     install -m 664 makefile.freebsd-pthreads $RPM_BUILD_ROOT/opt/goods/makefile.freebsd-pthreads 
     install -m 664 makefile.gcc $RPM_BUILD_ROOT/opt/goods/makefile.gcc 
     install -m 664 makefile.inc $RPM_BUILD_ROOT/opt/goods/makefile.inc 
     install -m 664 makefile.osf $RPM_BUILD_ROOT/opt/goods/makefile.osf 
     install -m 664 makefile.sgi $RPM_BUILD_ROOT/opt/goods/makefile.sgi 
     install -m 664 makefile.sun $RPM_BUILD_ROOT/opt/goods/makefile.sun 
     install -m 664 makefile.usr $RPM_BUILD_ROOT/opt/goods/makefile.usr 
     install -m 664 make.bat $RPM_BUILD_ROOT/opt/goods/make.bat 
     install -m 664 makefile $RPM_BUILD_ROOT/opt/goods/makefile 
     install -m 664 srvrmfc/ReadMe.txt $RPM_BUILD_ROOT/opt/goods/srvrmfc/ReadMe.txt 
     install -m 664 srvrmfc/res/srvrmfc.rc2 $RPM_BUILD_ROOT/opt/goods/srvrmfc/res/srvrmfc.rc2 
     install -m 664 srvrmfc/makefile $RPM_BUILD_ROOT/opt/goods/srvrmfc/makefile 
     install -m 664 srvrmfc/StdAfx.h $RPM_BUILD_ROOT/opt/goods/srvrmfc/StdAfx.h 
     install -m 664 srvrmfc/srvrmfc.cpp $RPM_BUILD_ROOT/opt/goods/srvrmfc/srvrmfc.cpp 
     install -m 664 srvrmfc/srvrmfc.dsp $RPM_BUILD_ROOT/opt/goods/srvrmfc/srvrmfc.dsp 
     install -m 664 srvrmfc/srvrmfc.dsw $RPM_BUILD_ROOT/opt/goods/srvrmfc/srvrmfc.dsw 
     install -m 664 srvrmfc/StdAfx.cpp $RPM_BUILD_ROOT/opt/goods/srvrmfc/StdAfx.cpp 
     install -m 664 srvrmfc/Resource.h $RPM_BUILD_ROOT/opt/goods/srvrmfc/Resource.h 
     install -m 775 config $RPM_BUILD_ROOT/opt/goods/config 
     install -m 664 protocol.htm $RPM_BUILD_ROOT/opt/goods/protocol.htm 
     install -m 664 makefile.freebsd $RPM_BUILD_ROOT/opt/goods/makefile.freebsd 
     install -m 664 readme.htm $RPM_BUILD_ROOT/opt/goods/readme.htm 
     install -m 664 goodsmfc.dsw $RPM_BUILD_ROOT/opt/goods/goodsmfc.dsw 
     install -m 664 goodsmfc.ncb $RPM_BUILD_ROOT/opt/goods/goodsmfc.ncb 
     install -m 664 goodsmfc.opt $RPM_BUILD_ROOT/opt/goods/goodsmfc.opt 
     install -m 664 windows.mak $RPM_BUILD_ROOT/opt/goods/windows.mak 
     install -m 664 makefile.solaris-cc $RPM_BUILD_ROOT/opt/goods/makefile.solaris-cc 
     install -m 664 goods.spec $RPM_BUILD_ROOT/opt/goods/goods.spec 
     install -m 664 CHANGES $RPM_BUILD_ROOT/opt/goods/CHANGES 
     install -m 664 examples/tstrtree.cxx $RPM_BUILD_ROOT/opt/goods/examples/tstrtree.cxx 
     install -m 664 examples/guess.cfg $RPM_BUILD_ROOT/opt/goods/examples/guess.cfg 
     install -m 664 examples/guess.cxx $RPM_BUILD_ROOT/opt/goods/examples/guess.cxx 
     install -m 664 examples/testdb.cfg $RPM_BUILD_ROOT/opt/goods/examples/testdb.cfg 
     install -m 664 examples/testdb.cxx $RPM_BUILD_ROOT/opt/goods/examples/testdb.cxx 
     install -m 664 examples/testblob.cxx $RPM_BUILD_ROOT/opt/goods/examples/testblob.cxx 
     install -m 664 examples/largedb.cxx $RPM_BUILD_ROOT/opt/goods/examples/largedb.cxx 
     install -m 664 examples/runtests.bat $RPM_BUILD_ROOT/opt/goods/examples/runtests.bat 
     install -m 664 examples/makefile.uni $RPM_BUILD_ROOT/opt/goods/examples/makefile.uni 
     install -m 664 examples/makefile.win $RPM_BUILD_ROOT/opt/goods/examples/makefile.win 
     install -m 664 examples/unidb.cfg $RPM_BUILD_ROOT/opt/goods/examples/unidb.cfg 
     install -m 664 examples/unidb.cxx $RPM_BUILD_ROOT/opt/goods/examples/unidb.cxx 
     install -m 664 examples/graphedt.cfg $RPM_BUILD_ROOT/opt/goods/examples/graphedt.cfg 
     install -m 664 examples/bugdb.cfg $RPM_BUILD_ROOT/opt/goods/examples/bugdb.cfg 
     install -m 664 examples/bugdb.cxx $RPM_BUILD_ROOT/opt/goods/examples/bugdb.cxx 
     install -m 664 examples/jsql.cfg $RPM_BUILD_ROOT/opt/goods/examples/jsql.cfg 
     install -m 664 examples/btree.cfg $RPM_BUILD_ROOT/opt/goods/examples/btree.cfg 
     install -m 664 examples/cleandbs.bat $RPM_BUILD_ROOT/opt/goods/examples/cleandbs.bat 
     install -m 664 examples/test.bat $RPM_BUILD_ROOT/opt/goods/examples/test.bat 
     install -m 664 examples/make.bat $RPM_BUILD_ROOT/opt/goods/examples/make.bat 
     install -m 664 examples/makefile $RPM_BUILD_ROOT/opt/goods/examples/makefile 
     install -m 775 examples/runtests $RPM_BUILD_ROOT/opt/goods/examples/runtests 
     install -m 664 examples/spawn.cxx $RPM_BUILD_ROOT/opt/goods/examples/spawn.cxx 
     install -m 664 examples/testtask.cxx $RPM_BUILD_ROOT/opt/goods/examples/testtask.cxx 
     install -m 664 examples/blob.cfg $RPM_BUILD_ROOT/opt/goods/examples/blob.cfg 
     install -m 664 examples/restart.bat $RPM_BUILD_ROOT/opt/goods/examples/restart.bat 
     install -m 664 examples/rtree.cfg $RPM_BUILD_ROOT/opt/goods/examples/rtree.cfg 
     install -m 664 examples/guess2.cxx $RPM_BUILD_ROOT/opt/goods/examples/guess2.cxx 
     install -m 664 examples/buglogin.htm $RPM_BUILD_ROOT/opt/goods/examples/buglogin.htm 
     install -m 664 examples/large.cfg $RPM_BUILD_ROOT/opt/goods/examples/large.cfg 
     install -m 664 examples/goodsrv.cfg $RPM_BUILD_ROOT/opt/goods/examples/goodsrv.cfg 
     install -m 664 examples/windows.mak $RPM_BUILD_ROOT/opt/goods/examples/windows.mak 
     install -m 664 examples/testsock.cxx $RPM_BUILD_ROOT/opt/goods/examples/testsock.cxx 
     install -m 664 examples/template.cxx $RPM_BUILD_ROOT/opt/goods/examples/template.cxx 
     install -m 664 examples/prof.bat $RPM_BUILD_ROOT/opt/goods/examples/prof.bat 
     install -m 664 examples/tstbtree.cxx $RPM_BUILD_ROOT/opt/goods/examples/tstbtree.cxx 
     install -m 664 examples/bugdb.h $RPM_BUILD_ROOT/opt/goods/examples/bugdb.h 
     install -m 664 examples/testtrans.cxx $RPM_BUILD_ROOT/opt/goods/examples/testtrans.cxx
     install -m 664 examples/testtrans.cfg $RPM_BUILD_ROOT/opt/goods/examples/testtrans.cfg
     install -m 664 graph1.gif $RPM_BUILD_ROOT/opt/goods/graph1.gif 
     install -m 664 graph2.gif $RPM_BUILD_ROOT/opt/goods/graph2.gif 
     install -m 664 graph3.gif $RPM_BUILD_ROOT/opt/goods/graph3.gif 
     install -m 664 makefile.hp1020 $RPM_BUILD_ROOT/opt/goods/makefile.hp1020 
     install -m 664 makefile.linux-pthreads $RPM_BUILD_ROOT/opt/goods/makefile.linux-pthreads 
     install -m 664 browser.htm $RPM_BUILD_ROOT/opt/goods/browser.htm 
else
	echo Invalid Build root
	exit 1
fi


%clean
	rm -rf $RPM_BUILD_ROOT


%post

%package server
Summary:        The GOODS server
Group:          Applications/Databases
Provides:       goods
Requires:       jre
%description server
This is the GOODS server, with the two Java JAR files.

%files server
%attr(755,root,bin)		/opt/goods/bin/goodsrv
%attr(755,root,bin)		/opt/goods/bin/goodspp
%attr(644,root,bin)		/opt/goods/lib/goodsjpi.jar
%attr(644,root,bin)		/opt/goods/lib/goodslib.jar


%package devel
Summary:        The GOODS developement package
Group:          Development/Databases
Provides:       goods
%description devel
This is teh GOODS developemtn environment.  Included is the Java access
libraries.

%files devel
%attr(00775,root,root) /opt/goods/bin/cgibrows
%attr(00775,root,root) /opt/goods/bin/geturl
%attr(00775,root,root) /opt/goods/bin/goodsrv
%attr(00775,root,root) /opt/goods/bin/goodspp
%attr(00775,root,root) /opt/goods/bin/javamop
%attr(00775,root,root) /opt/goods/bin/cgistub
%attr(00775,root,root) /opt/goods/bin/browser
%attr(00664,root,root) /opt/goods/inc/wtask.h
%attr(00664,root,root) /opt/goods/inc/ctask.h
%attr(00664,root,root) /opt/goods/inc/mop.h
%attr(00664,root,root) /opt/goods/inc/wstring.h
%attr(00664,root,root) /opt/goods/inc/dbscls.h
%attr(00664,root,root) /opt/goods/inc/protocol.h
%attr(00664,root,root) /opt/goods/inc/rtree.h
%attr(00664,root,root) /opt/goods/inc/unisock.h
%attr(00664,root,root) /opt/goods/inc/console.h
%attr(00664,root,root) /opt/goods/inc/datetime.h
%attr(00664,root,root) /opt/goods/inc/convert.h
%attr(00664,root,root) /opt/goods/inc/stdtp.h
%attr(00664,root,root) /opt/goods/inc/dbexcept.h
%attr(00664,root,root) /opt/goods/inc/config.h
%attr(00664,root,root) /opt/goods/inc/support.h
%attr(00664,root,root) /opt/goods/inc/database.h
%attr(00664,root,root) /opt/goods/inc/goods.h
%attr(00664,root,root) /opt/goods/inc/refs.h
%attr(00664,root,root) /opt/goods/inc/task.h
%attr(00664,root,root) /opt/goods/inc/object.h
%attr(00664,root,root) /opt/goods/inc/stdinc.h
%attr(00664,root,root) /opt/goods/inc/storage.h
%attr(00664,root,root) /opt/goods/inc/wwwapi.h
%attr(00664,root,root) /opt/goods/inc/async.h
%attr(00664,root,root) /opt/goods/inc/goodsdlx.h
%attr(00664,root,root) /opt/goods/inc/sockio.h
%attr(00664,root,root) /opt/goods/inc/class.h
%attr(00664,root,root) /opt/goods/inc/ptask.h
%attr(00664,root,root) /opt/goods/inc/w32sock.h
%attr(00664,root,root) /opt/goods/lib/goodsjpi.jar
%attr(00664,root,root) /opt/goods/lib/libserver.a
%attr(00664,root,root) /opt/goods/lib/goodslib.jar
%attr(00664,root,root) /opt/goods/lib/libclient.a
%attr(00664,root,root) /opt/goods/src/wtask.cxx
%attr(00664,root,root) /opt/goods/src/ptask.cxx
%attr(00664,root,root) /opt/goods/src/transmgr.h
%attr(00664,root,root) /opt/goods/src/classmgr.cxx
%attr(00664,root,root) /opt/goods/src/osfile.h
%attr(00664,root,root) /opt/goods/src/makefile.uni
%attr(00664,root,root) /opt/goods/src/makefile.win
%attr(00664,root,root) /opt/goods/src/multfile.h
%attr(00664,root,root) /opt/goods/src/async.cxx
%attr(00664,root,root) /opt/goods/src/make.bat
%attr(00664,root,root) /opt/goods/src/makefile
%attr(00664,root,root) /opt/goods/src/unisock.cxx
%attr(00664,root,root) /opt/goods/src/w32sock.cxx
%attr(00664,root,root) /opt/goods/src/confgrtr.h
%attr(00664,root,root) /opt/goods/src/object.cxx
%attr(00664,root,root) /opt/goods/src/mmapfile.h
%attr(00664,root,root) /opt/goods/src/console.cxx
%attr(00664,root,root) /opt/goods/src/cgistub.cxx
%attr(00664,root,root) /opt/goods/src/rtree.cxx
%attr(00664,root,root) /opt/goods/src/file.h
%attr(00664,root,root) /opt/goods/src/mop.cxx
%attr(00664,root,root) /opt/goods/src/protocol.cxx
%attr(00664,root,root) /opt/goods/src/cgibrows.cxx
%attr(00664,root,root) /opt/goods/src/server.cxx
%attr(00664,root,root) /opt/goods/src/ctask.cxx
%attr(00664,root,root) /opt/goods/src/goodsrv.cxx
%attr(00664,root,root) /opt/goods/src/memmgr.cxx
%attr(00664,root,root) /opt/goods/src/objmgr.cxx
%attr(00664,root,root) /opt/goods/src/sockio.cxx
%attr(00664,root,root) /opt/goods/src/multfile.cxx
%attr(00664,root,root) /opt/goods/src/windows.mak
%attr(00664,root,root) /opt/goods/src/client.cxx
%attr(00664,root,root) /opt/goods/src/javamop.cxx
%attr(00664,root,root) /opt/goods/src/objmgr.h
%attr(00664,root,root) /opt/goods/src/confgrtr.cxx
%attr(00664,root,root) /opt/goods/src/class.cxx
%attr(00664,root,root) /opt/goods/src/tconsole.cxx
%attr(00664,root,root) /opt/goods/src/geturl.cxx
%attr(00664,root,root) /opt/goods/src/database.cxx
%attr(00664,root,root) /opt/goods/src/server.h
%attr(00664,root,root) /opt/goods/src/unifile.cxx
%attr(00664,root,root) /opt/goods/src/tconsole.h
%attr(00664,root,root) /opt/goods/src/transmgr.cxx
%attr(00664,root,root) /opt/goods/src/winfile.cxx
%attr(00664,root,root) /opt/goods/src/poolmgr.cxx
%attr(00664,root,root) /opt/goods/src/poolmgr.h
%attr(00664,root,root) /opt/goods/src/javamop.d
%attr(00664,root,root) /opt/goods/src/javamop.h
%attr(00664,root,root) /opt/goods/src/wwwapi.cxx
%attr(00664,root,root) /opt/goods/src/client.h
%attr(00664,root,root) /opt/goods/src/dbscls.cxx
%attr(00664,root,root) /opt/goods/src/memmgr.h
%attr(00664,root,root) /opt/goods/src/classmgr.h
%attr(00664,root,root) /opt/goods/src/browser.cxx
%attr(00664,root,root) /opt/goods/clntmfc/res/clntmfc.rc2
%attr(00664,root,root) /opt/goods/clntmfc/makefile
%attr(00664,root,root) /opt/goods/clntmfc/StdAfx.h
%attr(00664,root,root) /opt/goods/clntmfc/StdAfx.cpp
%attr(00664,root,root) /opt/goods/clntmfc/clntmfc.001
%attr(00664,root,root) /opt/goods/clntmfc/clntmfc.clw
%attr(00664,root,root) /opt/goods/clntmfc/clntmfc.cpp
%attr(00664,root,root) /opt/goods/clntmfc/clntmfc.dsp
%attr(00664,root,root) /opt/goods/clntmfc/clntmfc.plg
%attr(00664,root,root) /opt/goods/clntmfc/Resource.h
%attr(00664,root,root) /opt/goods/java/XML/db/xmlswarm.cfg
%attr(00664,root,root) /opt/goods/java/XML/db/test.xml
%attr(00664,root,root) /opt/goods/java/XML/Readme.txt
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/tiny/ParsedXML.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/tiny/TinyParser.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/tiny/TinyResponder.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/tiny/ParseNode.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/XMLReader.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/XMLParser.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/XMLResponder.java
%attr(00664,root,root) /opt/goods/java/XML/source/gd/xml/ParseException.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCDATASection.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentType.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocumentFragment.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDocument.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentComment.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentText.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMImplementation.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentElement.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentProcessingInstruction.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntity.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNodeList.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNotation.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNode.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentCharacterData.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentEntityReference.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentNamedNodeMap.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentDOMException.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/dom/PersistentAttr.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/test/Test.java
%attr(00664,root,root) /opt/goods/java/XML/source/com/neurothemis/xmlswarm/parser/Parser.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/NodeList.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Notation.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Comment.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Element.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Text.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/NamedNodeMap.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/DOMException.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/DocumentFragment.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/DOMImplementation.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Node.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/CharacterData.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Entity.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Document.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/EntityReference.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/Attr.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/ProcessingInstruction.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/CDATASection.java
%attr(00664,root,root) /opt/goods/java/XML/source/org/w3c/dom/DocumentType.java
%attr(00664,root,root) /opt/goods/java/XML/build.xml
%attr(00664,root,root) /opt/goods/java/guess.cfg
%attr(00664,root,root) /opt/goods/java/TestBtree.classes
%attr(00664,root,root) /opt/goods/java/makefile.uni
%attr(00664,root,root) /opt/goods/java/makefile.win
%attr(00664,root,root) /opt/goods/java/testcol.cfg
%attr(00775,root,root) /opt/goods/java/compile.bat
%attr(00664,root,root) /opt/goods/java/TestCol.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Drawing.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Line.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Figure.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/GraphEditor.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Rectangle.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Circle.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Point.java
%attr(00664,root,root) /opt/goods/java/GraphEdit/Catalog.java
%attr(00664,root,root) /opt/goods/java/graphedt.cfg
%attr(00664,root,root) /opt/goods/java/jsql.cfg
%attr(00664,root,root) /opt/goods/java/TestBlob.java
%attr(00664,root,root) /opt/goods/java/btree.cfg
%attr(00664,root,root) /opt/goods/java/run.bat
%attr(00664,root,root) /opt/goods/java/make.bat
%attr(00664,root,root) /opt/goods/java/JSQL.java
%attr(00664,root,root) /opt/goods/java/makefile
%attr(00664,root,root) /opt/goods/java/Guess.java
%attr(00664,root,root) /opt/goods/java/blob.cfg
%attr(00664,root,root) /opt/goods/java/JavaAPI.htm
%attr(00664,root,root) /opt/goods/java/goodsrv.cfg
%attr(00664,root,root) /opt/goods/java/windows.mak
%attr(00664,root,root) /opt/goods/java/build.xml
%attr(00664,root,root) /opt/goods/java/TestBtree.java
%attr(00664,root,root) /opt/goods/java/JSQL.htm
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/MsWeakHashTable.class
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/WeakHashTable$Entry.class
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/SunWeakHashTable.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/MsWeakHashTable.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/SunWeakHashTable.class
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/WeakHashTable.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/WeakHashTable.class
%attr(00664,root,root) /opt/goods/java/goodsjpi/weak/Entry.class
%attr(00664,root,root) /opt/goods/java/goodsjpi/AssertionFailed.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/BasicMetaobject.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Database.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/OptimisticMetaobject.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/PessimisticMetaobject.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/IdentityHashtable.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Metaobject.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/PessimisticRepeatableReadMetaobject.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/ConnectionRefusedException.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/FieldDescriptor.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/ObjectCache.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Assert.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Storage.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Conversion.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/CondEvent.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/SessionDisconnectedError.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/ClassDescriptor.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/ClassDefinitionError.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Date.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Protocol.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/Persistent.java
%attr(00664,root,root) /opt/goods/java/goodsjpi/PThread.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentHashSet.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfLong.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentArrayList.java
%attr(00664,root,root) /opt/goods/java/goodslib/Ordered.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentAbstractCollection.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfDouble.java
%attr(00664,root,root) /opt/goods/java/goodslib/SetMember.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfShort.java
%attr(00664,root,root) /opt/goods/java/goodslib/Btree.java
%attr(00664,root,root) /opt/goods/java/goodslib/ConcurrentModifier.java
%attr(00664,root,root) /opt/goods/java/goodslib/ClassLibrary.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfInt.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfByte.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfObject.java
%attr(00664,root,root) /opt/goods/java/goodslib/NoIndexException.java
%attr(00664,root,root) /opt/goods/java/goodslib/OrderedSetOwner.java
%attr(00664,root,root) /opt/goods/java/goodslib/HashTable.java
%attr(00664,root,root) /opt/goods/java/goodslib/ObjectClosure.java
%attr(00664,root,root) /opt/goods/java/goodslib/Blob.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentTreeMap.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfFloat.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentAbstractMap.java
%attr(00664,root,root) /opt/goods/java/goodslib/SetOwner.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentHashMap.java
%attr(00664,root,root) /opt/goods/java/goodslib/AnyArray.java
%attr(00664,root,root) /opt/goods/java/goodslib/SetMemberKey.java
%attr(00664,root,root) /opt/goods/java/goodslib/Htree.java
%attr(00664,root,root) /opt/goods/java/goodslib/SetMemberRef.java
%attr(00664,root,root) /opt/goods/java/goodslib/CompileError.java
%attr(00664,root,root) /opt/goods/java/goodslib/QueryIterator.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentAbstractList.java
%attr(00664,root,root) /opt/goods/java/goodslib/Query.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentTreeSet.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfBoolean.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentComparator.java
%attr(00664,root,root) /opt/goods/java/goodslib/PersistentAbstractSet.java
%attr(00664,root,root) /opt/goods/java/goodslib/ArrayOfChar.java
%attr(00664,root,root) /opt/goods/SAL.htm
%attr(00664,root,root) /opt/goods/makefile.freebsd-pthreads
%attr(00664,root,root) /opt/goods/makefile.gcc
%attr(00664,root,root) /opt/goods/makefile.inc
%attr(00664,root,root) /opt/goods/makefile.osf
%attr(00664,root,root) /opt/goods/makefile.sgi
%attr(00664,root,root) /opt/goods/makefile.sun
%attr(00664,root,root) /opt/goods/makefile.usr
%attr(00664,root,root) /opt/goods/make.bat
%attr(00664,root,root) /opt/goods/makefile
%attr(00664,root,root) /opt/goods/srvrmfc/ReadMe.txt
%attr(00664,root,root) /opt/goods/srvrmfc/res/srvrmfc.rc2
%attr(00664,root,root) /opt/goods/srvrmfc/makefile
%attr(00664,root,root) /opt/goods/srvrmfc/StdAfx.h
%attr(00664,root,root) /opt/goods/srvrmfc/srvrmfc.cpp
%attr(00664,root,root) /opt/goods/srvrmfc/srvrmfc.dsp
%attr(00664,root,root) /opt/goods/srvrmfc/srvrmfc.dsw
%attr(00664,root,root) /opt/goods/srvrmfc/StdAfx.cpp
%attr(00664,root,root) /opt/goods/srvrmfc/Resource.h
%attr(00775,root,root) /opt/goods/config
%attr(00664,root,root) /opt/goods/protocol.htm
%attr(00664,root,root) /opt/goods/makefile.freebsd
%attr(00664,root,root) /opt/goods/readme.htm
%attr(00664,root,root) /opt/goods/goodsmfc.dsw
%attr(00664,root,root) /opt/goods/goodsmfc.ncb
%attr(00664,root,root) /opt/goods/goodsmfc.opt
%attr(00664,root,root) /opt/goods/windows.mak
%attr(00664,root,root) /opt/goods/makefile.solaris-cc
%attr(00664,root,root) /opt/goods/goods.spec
%attr(00664,root,root) /opt/goods/CHANGES
%attr(00664,root,root) /opt/goods/examples/tstrtree.cxx
%attr(00664,root,root) /opt/goods/examples/guess.cfg
%attr(00664,root,root) /opt/goods/examples/guess.cxx
%attr(00664,root,root) /opt/goods/examples/testdb.cfg
%attr(00664,root,root) /opt/goods/examples/testdb.cxx
%attr(00664,root,root) /opt/goods/examples/testblob.cxx
%attr(00664,root,root) /opt/goods/examples/largedb.cxx
%attr(00664,root,root) /opt/goods/examples/runtests.bat
%attr(00664,root,root) /opt/goods/examples/makefile.uni
%attr(00664,root,root) /opt/goods/examples/makefile.win
%attr(00664,root,root) /opt/goods/examples/unidb.cfg
%attr(00664,root,root) /opt/goods/examples/unidb.cxx
%attr(00664,root,root) /opt/goods/examples/graphedt.cfg
%attr(00664,root,root) /opt/goods/examples/bugdb.cfg
%attr(00664,root,root) /opt/goods/examples/bugdb.cxx
%attr(00664,root,root) /opt/goods/examples/jsql.cfg
%attr(00664,root,root) /opt/goods/examples/btree.cfg
%attr(00664,root,root) /opt/goods/examples/cleandbs.bat
%attr(00664,root,root) /opt/goods/examples/test.bat
%attr(00664,root,root) /opt/goods/examples/make.bat
%attr(00664,root,root) /opt/goods/examples/makefile
%attr(00775,root,root) /opt/goods/examples/runtests
%attr(00664,root,root) /opt/goods/examples/spawn.cxx
%attr(00664,root,root) /opt/goods/examples/testtask.cxx
%attr(00664,root,root) /opt/goods/examples/blob.cfg
%attr(00664,root,root) /opt/goods/examples/restart.bat
%attr(00664,root,root) /opt/goods/examples/rtree.cfg
%attr(00664,root,root) /opt/goods/examples/guess2.cxx
%attr(00664,root,root) /opt/goods/examples/buglogin.htm
%attr(00664,root,root) /opt/goods/examples/large.cfg
%attr(00664,root,root) /opt/goods/examples/goodsrv.cfg
%attr(00664,root,root) /opt/goods/examples/windows.mak
%attr(00664,root,root) /opt/goods/examples/testsock.cxx
%attr(00664,root,root) /opt/goods/examples/template.cxx
%attr(00664,root,root) /opt/goods/examples/prof.bat
%attr(00664,root,root) /opt/goods/examples/tstbtree.cxx
%attr(00664,root,root) /opt/goods/examples/bugdb.h
%attr(00664,root,root) /opt/goods/examples/testtrans.cxx
%attr(00664,root,root) /opt/goods/examples/testtrans.cfg
%attr(00664,root,root) /opt/goods/graph1.gif
%attr(00664,root,root) /opt/goods/graph2.gif
%attr(00664,root,root) /opt/goods/graph3.gif
%attr(00664,root,root) /opt/goods/makefile.hp1020
%attr(00664,root,root) /opt/goods/makefile.linux-pthreads
%attr(00664,root,root) /opt/goods/browser.htm


